using System;
using LFS_External;
using LFS_External.InSim;

namespace LFS_External_Client
{
	/// <summary>Holds information of a connected client to the lfs server</summary>
	public class clsConnection
	{
		protected byte _uniqueid;
		protected string _username;
		protected string _playername;
		protected byte _isadmin;
		protected byte _flags;
        protected string _cars;
        protected int _cash;

		/// <summary>Connection Unique ID</summary>
		public byte UniqueID
		{
			get { return _uniqueid; }
			set { _uniqueid = value; }
		}

		/// <summary>Connection username</summary>
		public string Username
		{
			get { return _username; }
			set { _username = value; }
		}

		/// <summary>Connection player name</summary>
		public string PlayerName
		{
			get { return _playername; }
			set { _playername = value; }
		}

		/// <summary>Connection is admin</summary>
		public byte IsAdmin
		{
			get { return _isadmin; }
			set { _isadmin = value; }
		}

		/// <summary>Bit 2 : remote</summary>
		public byte Flags
		{
			get { return _flags; }
			set { _flags = value; }
		}

        public string Cars
        {
            get { return _cars; }
            set { _cars = value; }
        }

        public int Cash
        {
            get { return _cash; }
            set { _cash = value; }
        }
	}
}